<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/pg_begin.php";     //carrega arquivo de conexão

// dados repassados do programa chamados:
// = $sc_termo (código do indicador)
// = $sc_granularidade (código da granularidade)

// seleciona as granularidades

// comando básico
$sql="
	select *
	from termo TT, granularidade G, termogranularidade TG, termoperiodicidade TP
	where TT.codigotermo = TG.codigotermo
	and TG.codigogranularidade = G.codigogranularidade
	and TP.codigotermo = TT.codigotermo
	and TT.codigotermo = '" . $sc_termo . "'  
	and G.codigogranularidade <> '" . $sc_granularidade . "'
	and TP.codigoperiodicidade = " . $sc_periodicidade . "
	order by G.codigogranularidade";

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}

$rows = pg_num_rows ($result);
if ($rows <= 0) { # não há outras granularidades para este termo
	return;
}
?>

<div class="float">
Outras Granularidades:
</div>

<?

// recupera as tuplas selecionadas
while ($nt=pg_fetch_array($result))
{
	//atribui valor a variaveis locais para db
	$db_codigogranularidade = trim(pg_escape_string($nt['codigogranularidade']));
	$db_nomegranularidade = trim(pg_escape_string($nt['nomegranularidade']));
	$db_codigoperiodicidade = $nt['codigoperiodicidade'];
	
	$aux_codigocomposto = $db_codigotermo . ';' . $db_codigogranularidade . ';' . $db_codigoperiodicidade;
	if ($db_codigogranularidade == 1) {
	$aux_preposicao = 'do'; // município
	} else {
	$aux_preposicao = 'por';
	}
	
	// cabeçalho
	echo '<!-- Granularidade: ' . $db_nomegranularidade . '-->' . "\n";
	echo '<div class="float">' . "\n";
	echo '<form name="New_Form" action="termosAtualizacao.php" method="POST" enctype="application/x-www-form-urlencoded">' . "\n";

	// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
	echo '<input type="hidden" name="form_tema_busca"          value="' . $sc_tema_busca          .'">' . "\n";
	echo '<input type="hidden" name="form_termo_busca"         value="' . $sc_termo_busca     .'">' . "\n";
	echo '<input type="hidden" name="form_granularidade_busca" value="' . $sc_granularidade_busca .'">' . "\n";
	echo '<input type="hidden" name="form_periodicidade_busca" value="' . $sc_periodicidade_busca .'">' . "\n";
		
	// detalhe	
	echo '<input type="hidden" name="form_termo" value="' . $aux_codigocomposto .'">' . "\n";
	echo '<input type="submit" value="' . $aux_preposicao . ' '. $db_nomegranularidade .'">' . "\n";
	
	// rodapé
	echo '</form>' . "\n";
	echo '</div>' . "\n";
	echo '<!-- Granularidade: ' . $db_nomegranularidade . '-->' . "\n";
	echo "\n";
}


?>

